Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture.toolkit.win32
Class WindowsDrawableArea

    java.lang.Object
      teamdev.jxcapture.toolkit.win32.WindowsDrawableArea

All Implemented Interfaces:
  DrawableArea

public class WindowsDrawableArea
extends java.lang.Object
implements DrawableArea

Represents the drawable area for the Windows OS platform.

Constructor Summary
`WindowsDrawableArea()`

Method Summary
`void` | `dispose()` Hides and disposes of this area.
`java.awt.image.BufferedImage` | `getBackgroundImage()` Returns the specified background image (a screen shot of the desktop) for this area.
`java.awt.Component` | `getComponent()` Returns the component on which the drawing capture operation is performed.
`java.awt.Cursor` | `getCursor()` Gets the cursor image.
`DialogComponent` | `getDialogComponent()` Gets the `DialogComponent` for this capture operation.
`javax.swing.JPopupMenu` | `getPopupMenu()` Gets the pop-up menu for this area.
`void` | `setBackgroundImage(java.awt.image.BufferedImage image)` Sets the specified background image (a screen shot of the desktop) for this area.
`void` | `setCursor(java.awt.Cursor newCursor)` Sets the cursor image to the specified cursor which is shown during the capture operation.
`void` | `setDialogComponent(DialogComponent newDialogComponent)` Sets the specified `DialogComponent` for this capture operation.
`void` | `setPopupMenu(javax.swing.JPopupMenu newPopupMenu)` Sets the pop-up menu for this area.
`void` | `setSelectionPainter(SelectionPainter selectionPainter)` Sets the specified selection painter.
`void` | `show()` Shows this area.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsDrawableArea

    public WindowsDrawableArea()

Method Detail

### setBackgroundImage

    public void setBackgroundImage(java.awt.image.BufferedImage image)

  Description copied from interface: `DrawableArea`
  Sets the specified background image (a screen shot of the desktop) for this area.

  Specified by:
    `setBackgroundImage` in interface `DrawableArea`
  Parameters:
    `image` - the specified background image

### getBackgroundImage

    public java.awt.image.BufferedImage getBackgroundImage()

  Description copied from interface: `DrawableArea`
  Returns the specified background image (a screen shot of the desktop) for this area.

  Specified by:
    `getBackgroundImage` in interface `DrawableArea`
  Returns:
    the specified background image

### setSelectionPainter

    public void setSelectionPainter(SelectionPainter selectionPainter)

  Description copied from interface: `DrawableArea`
  Sets the specified selection painter. (see `SelectionPainter` interface).

  Specified by:
    `setSelectionPainter` in interface `DrawableArea`
  Parameters:
    `selectionPainter` - the specified selection painter

### getComponent

    public java.awt.Component getComponent()

  Description copied from interface: `DrawableArea`
  Returns the component on which the drawing capture operation is performed.

  Specified by:
    `getComponent` in interface `DrawableArea`
  Returns:
    the component on which the drawing capture operation is performed.

### setCursor

    public void setCursor(java.awt.Cursor newCursor)

  Description copied from interface: `DrawableArea`
  Sets the cursor image to the specified cursor which is shown during the capture operation.

  Specified by:
    `setCursor` in interface `DrawableArea`
  Parameters:
    `newCursor` - the specified cursor which is shown during the capture operation

### getCursor

    public java.awt.Cursor getCursor()

  Description copied from interface: `DrawableArea`
  Gets the cursor image.

  Specified by:
    `getCursor` in interface `DrawableArea`
  Returns:
    the cursor image

### setPopupMenu

    public void setPopupMenu(javax.swing.JPopupMenu newPopupMenu)

  Description copied from interface: `DrawableArea`
  Sets the pop-up menu for this area.

  Specified by:
    `setPopupMenu` in interface `DrawableArea`
  Parameters:
    `newPopupMenu` - the pop-up menu for this area

### getPopupMenu

    public javax.swing.JPopupMenu getPopupMenu()

  Description copied from interface: `DrawableArea`
  Gets the pop-up menu for this area.

  Specified by:
    `getPopupMenu` in interface `DrawableArea`
  Returns:
    the pop-up menu for this area

### setDialogComponent

    public void setDialogComponent(DialogComponent newDialogComponent)

  Description copied from interface: `DrawableArea`
  Sets the specified `DialogComponent` for this capture operation.

  Specified by:
    `setDialogComponent` in interface `DrawableArea`
  Parameters:
    `newDialogComponent` - the specified `DialogComponent` for this capture operation

### getDialogComponent

    public DialogComponent getDialogComponent()

  Description copied from interface: `DrawableArea`
  Gets the `DialogComponent` for this capture operation.

  Specified by:
    `getDialogComponent` in interface `DrawableArea`
  Returns:
    the `DialogComponent` for this capture operation

### show

    public void show()

  Description copied from interface: `DrawableArea`
  Shows this area.

  Specified by:
    `show` in interface `DrawableArea`

### dispose

    public void dispose()

  Description copied from interface: `DrawableArea`
  Hides and disposes of this area.

  Specified by:
    `dispose` in interface `DrawableArea`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD